kio Library: KIO::MultiGetJob Class Reference (kio Library)

| # kio Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KIO::MultiGetJob Class Reference

The MultiGetJob is a TransferJob that allows you to get several files from a single server. More...

`#include <jobclasses.h>`

Inheritance diagram for KIO::MultiGetJob:

[legend]
Collaboration diagram for KIO::MultiGetJob:

[legend]
List of all members.

## Signals
void | data (long id, const QByteArray &data)
void | mimetype (long id, const QString &type)
void | result (long id)
## Public Member Functions
| MultiGetJob (const KURL &url, bool showProgressInfo)
virtual void | start (Slave *slave)
void | get (long id, const KURL &url, const MetaData &metaData)
## Protected Slots
virtual void | slotRedirection (const KURL &url)
virtual void | slotFinished ()
virtual void | slotData (const QByteArray &data)
virtual void | slotMimetype (const QString &mimetype)
## Protected Member Functions
virtual void | virtual_hook (int id, void *data)

## Detailed Description

The MultiGetJob is a TransferJob that allows you to get several files from a single server.

Don't create directly, but use KIO::multi_get() instead.

See also:
  KIO::multi_get()

Definition at line 1079 of file jobclasses.h.

## Constructor & Destructor Documentation

MultiGetJob::MultiGetJob | ( | const KURL & | url,
|  | bool | showProgressInfo
| ) |

  | Do not create a MultiGetJob directly, use KIO::multi_get() instead. Parameters:
  | url | the first url to get
  | showProgressInfo | true to show progress information to the user
Definition at line 4219 of file job.cpp. References QPtrList::setAutoDelete(). Referenced by KIO::multi_get().

## Member Function Documentation

void MultiGetJob::get | ( | long | id,
|  | const KURL & | url,
|  | const MetaData & | metaData
| ) |

  | Get an additional file. Parameters:
  | id | the id of the file
  | url | the url of the file to get
  | metaData | the meta data for this request
Definition at line 4228 of file job.cpp. References QPtrList::append(). Referenced by KIO::multi_get().

void KIO::MultiGetJob::data | ( | long | id,
|  | const QByteArray & | data
| ) | `[signal]`

  | Data from the slave has arrived. Parameters:
  | id | the id of the request
  | data | data received from the slave. End of data (EOD) has been reached if data.size() == 0

void KIO::MultiGetJob::mimetype | ( | long | id,
|  | const QString & | type
| ) | `[signal]`

  | Mimetype determined. Parameters:
  | id | the id of the request
  | type | the mime type

void KIO::MultiGetJob::result | ( | long | id | ) | `[signal]`

  | File transfer completed. When all files have been processed, result(KIO::Job *) gets emitted. Parameters:
  | id | the id of the request
Referenced by slotFinished().

void MultiGetJob::slotFinished | ( |  | ) | `[protected, virtual, slot]`

| Called when the slave marks the job as finished. Reimplemented from KIO::TransferJob. Definition at line 4331 of file job.cpp. References QPtrList::at(), QMap::clear(), QPtrList::count(), KIO::Scheduler::doJob(), KURL::isEmpty(), QPtrList::removeRef(), result(), KIO::TransferJob::slotFinished(), and KURL::url().

The documentation for this class was generated from the following files:

- jobclasses.h
- job.cpp

This file is part of the documentation for kio Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:26:11 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003